Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.plane.com/v1/leave-requests/{id} \ --header 'Authorization: Bearer <token>'
{ "id": "lvr_6r3wLwX44s0Ak0bDkP5n2r7Q", "status": "requested", "leave": { "id": "lv_1HPCXADYAhh5k1NMU0r1WUqs", "type": "vacation", "worker": "wr_CgcLakmx4guire", "starts": "2026-04-14", "ends": "2026-04-16", "days": 2.5, "hours": 20, "schedule": { "2026-04-14": 8, "2026-04-15": 8, "2026-04-16": 4 }, "note": "Annual vacation" }, "created": "2026-03-10T18:42:11Z", "updated": "2026-03-10T18:42:11Z" }
Retrieve an existing leave request.
Was this page helpful?